(function ($, Drupal, drupalSettings) {

  /**
   * Auto submit sort by.
   *
   * @type {{attach: Drupal.behaviors.viewsExposedSortBlockSubmit.attach}}
   */
  Drupal.behaviors.viewsExposedSortBlockSubmit = {
    attach: function (context, settings) {
      var form = $(context).find(drupalSettings.views_exposed_sort_block.form);
      var sort_by = '[data-drupal-selector="' + drupalSettings.views_exposed_sort_block.field + '"]';
      form.find(sort_by).once('sort_by_submit').on('change', function() {
        form.submit();
      });
    }
  };

})(jQuery, Drupal, drupalSettings);

